Loading...
Searching...
No Matches
juce::Named< T > Struct Template Reference

`#include <juce_Serialisation.h>`

## Public Attributes

JUCE_COMPARISON_OPS std::string_view | name
| A name that corresponds to the value.
T & | value
| A reference to a value to wrap.

## Detailed Description

template<typename T>
struct juce::Named< T >

Combines an object with a name.

Instances of Named have reference-like semantics. That is, Named stores a reference to a wrapped value, rather than storing the value internally.

Template Parameters

  T | the type of reference that is wrapped. Passing "const T" will cause the Named instance to hold a "const T&"; passing "T" will cause the Named instance to hold a "T&".

See also
  named()

Definition at line 87 of file juce_Serialisation.h.

## Member Data Documentation

## name

template<typename T>

JUCE_COMPARISON_OPS std::string_view juce::Named< T >::name

A name that corresponds to the value.

Definition at line 93 of file juce_Serialisation.h.

## value

template<typename T>

T& juce::Named< T >::value

A reference to a value to wrap.

Definition at line 94 of file juce_Serialisation.h.

The documentation for this struct was generated from the following file:

- juce_Serialisation.h